import React from 'react';
import {
  Route,
  Switch
} from 'react-router-dom';
import {LINKS} from './../../routes'

import DashboardComponent from './../Dashboard';
import ReportComponent from './../Report';
import SettingComponent from './../Setting';
import WalletComponent from '../Wallet';
import ItemsComponent from '../Items/index';
import VouchersComponent from '../Vouchers/index';
import VerifyVouchers from '../Vouchers/Verify';
import CheckoutVouchers from '../Vouchers/Checkout';
import FormItems from "../Items/FormItems/FormItems";
import FormItemAdmin from "../Items/FormItems/FormItemAdmin";
import FormPromotion from "../Items/FormItems/FormPromotion";
import InboxComponent from '../Inbox';
import WalletComponentDetail from '../Wallet/Detail';
import ProfileComponent from './../Profile';
import NotificationAdmin from "../Notification/index";
import ServiceComponent from './../Service';
import DetailPackage from './../Service/Package/DetailPackage';
import StoresComponent from './../Stores';
import StoresListComponent from './../StoreList';
import UploadItems from "../Items/FormItems/Upload";
import UploadPromotion from "../Items/FormItems/UploadPromotion";
import UploadAdminDetail from "../Items/FormItems/UploadAdmin";
import Tasks from './../Tasks/index';
import HotelComponent from '../Hotel';
import HotelSearch from './../Hotel/HotelSearch';
import CarComponent from '../Car';
import CarSearch from './../Car/CarSearch';
import CartDetail from '../CartDetail/index';
import CustomerComponent from "../Customers/index";
import CustomerDetail from "../CustomerDetail/index";
import WalletCostumer from '../CustomerDetail/Wallet/index';
import WalletCustomerDetail from '../CustomerDetail/WalletDetail/index';
import Categories from "../Categories";
import Recipes from "../Recipes";
import Help from "../Help";
import ContentManager from "../ContentManager";
import OrderDetailAirlinesComponent from '../CustomerDetail/OrderDetailAirlines/index';
import OrderComponent from './../Order';
import OrderDetailComponent from './../Order/OrderDetail/index';
import EntitiesComponent from './../Entities/index';
import FeaturedItems from '../FeaturedItems/index';
import CustomMenus from '../CustomMenus/index';
import FeaturedStores from '../FeaturedStores/index';
import StoresListDetail from '../StoreList/StoreDetail/index';
import FeaturedCategory from "../FeaturedCategory/index";
import Promotion from "../Promotion";
import FormRecipe from '../Recipes/FormRecipe/index';
import FormHelp from '../Help/FormHelp/index';
import Form from '../ContentManager/Form/index';
import SurfTurf from '../SurfTurf';
import SurfForm from '../SurfTurf/form/index';

import DataTab from '../Data';
import LayoutTab from '../Layout';
import ContentTab from '../Content';

export default class ComponentName extends React.Component {
  constructor(props) {
    super(props);
    this.props = props;
    this.state = {};
    this.defaultState = Object.assign({}, this.state);
  }

  componentDidMount() {}

  render() {
    return (
      <Switch>
        <Route exact component={DashboardComponent} path={LINKS.DASHBOARD}/>
        <Route exact component={SettingComponent} path={LINKS.SETTING}/>
        <Route exact component={OrderComponent} path={LINKS.ORDER}/>
        <Route exact component={WalletComponent} path={LINKS.WALLET}/>
        <Route exact component={HotelComponent} path={LINKS.HOTEL}/>
        <Route exact component={HotelSearch} path={LINKS.HOTEL_SEARCH}/>
        <Route exact component={CarComponent} path={LINKS.CAR}/>
        <Route exact component={CartDetail} path={LINKS.CART_DETAIL}/>
        <Route exact component={CarSearch} path={LINKS.CAR_SEARCH}/>
        <Route exact component={ItemsComponent} path={LINKS.ITEMS}/>
        <Route exact component={VouchersComponent} path={LINKS.VOUCHERS}/>
        <Route exact component={VerifyVouchers} path={LINKS.VERIFY_VOUCHERS}/>
        <Route exact component={CheckoutVouchers} path={LINKS.CHECKOUT_VOUCHERS}/>
        <Route exact component={FormItems} path={LINKS.FORM_ITEMS}/>
        <Route exact component={FormItems} path={LINKS.FORM_ITEMS_EDIT}/>
        <Route exact component={UploadItems} path={LINKS.FORM_UPLOAD}/>
        <Route exact component={WalletComponentDetail} path={LINKS.WALLET_DETAIL}/>
        <Route exact component={WalletCostumer} path={LINKS.WALLET_CUSTOMER}/>
        <Route exact component={WalletCustomerDetail} path={LINKS.WALLET_CUSTOMER_DETAIL}/>
        <Route exact component={DetailPackage} path={LINKS.SERVICE_PACKAGE_DETAIL}/>
         <Route exact component={Tasks} path={LINKS.TASKS}/>
         {/*<Route exact component={TasksDetail} path={LINKS.TASKS_DETAIL}/>*/}
        <Route exact component={CustomerComponent} path={LINKS.CUSTOMER} />
        <Route exact component={Categories} path={LINKS.CATEGORIES} />
        <Route exact component={Recipes} path={LINKS.RECIPES} />
        <Route exact component={Help} path={LINKS.HELP} />
        <Route exact component={ContentManager} path={LINKS.CONTENT_MANAGER} />
        <Route exact component={NotificationAdmin} path={LINKS.NOTFICATION_ADMIN} />
        <Route exact component={FeaturedItems} path={LINKS.FEATURED_ITEMS}/>
        <Route exact component={FeaturedCategory} path={LINKS.FEATURED_CATEGORY}/>
        <Route exact component={CustomMenus} path={LINKS.CUSTOM_MENU}/>
        <Route exact component={FeaturedStores} path={LINKS.FEATURED_STORES}/>
        <Route exact component={StoresListComponent} path={LINKS.STORES_LIST}/>
        <Route exact component={Promotion} path={LINKS.PROMOTION}/>
        <Route exact component={FormRecipe} path={LINKS.FORM_RECIPE}/>
        <Route exact component={FormHelp} path={LINKS.FORM_HELP}/>
        <Route exact component={Form} path={LINKS.FORM}/>
        <Route exact component={SurfTurf} path={LINKS.SURF}/>
        <Route exact component={SurfForm} path={LINKS.FORM_SURF}/>
        <Route component={SurfForm} path={LINKS.FORM_SURF_EDIT}/>
        <Route component={FormRecipe} path={LINKS.FORM_RECIPE_EDIT}/>
        <Route component={FormHelp} path={LINKS.FORM_HELP_EDIT}/>
        <Route component={Form} path={LINKS.FORM_EDIT}/>
        <Route component={FormItemAdmin} path={LINKS.FORM_ITEMS_ADMIN}/>
        <Route component={FormPromotion} path={LINKS.FORM_PROMOTION}/>
        <Route component={UploadAdminDetail} path={LINKS.FORM_UPLOAD_ADMIN}/>
        <Route component={UploadPromotion} path={LINKS.FORM_UPLOAD_PROMOTION}/>
        <Route component={InboxComponent} path={LINKS.INBOX}/>
        <Route component={InboxComponent} path={LINKS.INBOX+'/:tab'}/>
        <Route component={DataTab} path={LINKS.DATA}/>
        <Route component={DataTab} path={LINKS.DATA+'/:tab'}/>
        <Route component={LayoutTab} path={LINKS.LAYOUT}/>
        <Route component={LayoutTab} path={LINKS.LAYOUT+'/:tab'}/>
        <Route component={ContentTab} path={LINKS.CONTENT}/>
        <Route component={ContentTab} path={LINKS.CONTENT+'/:tab'}/>
        <Route component={ServiceComponent} path={LINKS.SERVICE}/>
        <Route component={StoresComponent} path={LINKS.STORES + "/:tab"}/>
        <Route component={StoresComponent} path={LINKS.STORES}/>
        <Route component={StoresListDetail} path={LINKS.STORES_LIST_DETAIL}/>
        <Route component={CustomerDetail} path={LINKS.CUSTOMER_DETAIL} />
        <Route component={OrderDetailComponent} path={LINKS.ORDER_DETAIL} />
        <Route component={OrderDetailAirlinesComponent} path={LINKS.ORDER_DETAIL_AIRLINES} />
        <Route component={ProfileComponent} path={LINKS.PROFILE}/>
        <Route component={ProfileComponent} path={LINKS.PROFILE + "/:tab"}/>
        <Route component={EntitiesComponent} path={LINKS.ENTITIES}/>
      </Switch>
    )
  }
}
