import React from 'react';
import {observer, inject} from 'mobx-react';
import Routes, { LINKS } from "../../routes";
import MuiThemeProvider from 'material-ui/styles/MuiThemeProvider';
import getMuiTheme from 'material-ui/styles/getMuiTheme';
import typography from 'material-ui/styles/typography';

@inject('appstate')
@observer
export default class ComponentName extends React.Component {

  constructor(props) {
    super(props);
    this.props = props;
    this.state = {};
    this.defaultState = Object.assign({}, this.state);
  }

  componentDidMount() {

  }

  render() {
    const muiTheme = getMuiTheme({
      root: {
        fontSize:14,
      },
      fontFamily: '"Avenir Next W01", "Proxima Nova W01", "Rubik", -apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif',
      palette: {
        primary1Color: "#424770",
        accent1Color:'red',
        fontSize:12,
        textColor:'#424770'
      },
      appBar: {
        height: 50,
      },
      textField : {
        fontSize:14,
      },

      tableRow: {
        selectedColor:"transparent"
      },

      stepper: {
        iconColor:'green'
      },
      raisedButton: {
        fontSize: 12,
        textTransform: 'none'
      },
      flatButton: {
        fontSize: 12,
        textTransform: 'none'
      }
    });


    return (
      <div>
        <MuiThemeProvider muiTheme={muiTheme}>
        <Routes></Routes>
        </MuiThemeProvider>
      </div>
    )
  }
}
