import React from 'react';
import {observer, inject} from 'mobx-react';
import bind from 'bind-decorator';
import {
  Card,
  CardActions,
  CardHeader,
  CardMedia,
  CardTitle,
  AutoComplete,
  CardText,
  FlatButton,
  Dialog,
  Divider,
  RaisedButton,
  Toolbar,
  DatePicker,
  FontIcon,
  SelectField,
  MenuItem,
  ToolbarGroup,
  FloatingActionButton,
  ToolbarSeparator,
  IconButton,
  ToolbarTitle,
  TextField,
  RadioButton, RadioButtonGroup,DropDownMenu,
  Tabs, Tab,
  Table,
  TableBody,
  TableHeader,
  TableHeaderColumn,
  TableRow,
  TableRowColumn,
} from 'material-ui';
import {withRouter} from 'react-router';
import {BrowserRouter as Router, Route} from 'react-router-dom';
import StarBorder from 'material-ui/svg-icons/toggle/star-border';
import ContentAdd from 'material-ui/svg-icons/content/add';

import '../style.scss';
import {appConfig} from "../../../config/app";

@inject('appstate')
@observer
export default class ReviewINTL extends React.Component {
  constructor(props) {
    super(props);
    this.props = props;
    this.state = {
      openModal :false,
    };
    this.defaultState = Object.assign({}, this.state);
    this.http = props.appstate.http;
    this.authStore = props.appstate.auth;
  }

  componentDidMount() {
    console.log('Profile loaded!');
    window.scrollTo(0, 0);
  }

  handleCloseModal = ()=>{
    this.setState({
      openModal : false
    })
  };

  handleOpenModal = ()=>{
    this.setState({
      openModal : true
    })
  }


  

  


  render() {
    var adult = [];
    for(var x=0;x<this.props.passangerData.adult;x++){
        adult.push(x+1);
    }

    var child = [];
    for(var y=0;y<this.props.passangerData.children;y++){
        child.push(y+1);
    }

    var baby = [];
    for(var z=0;z<this.props.passangerData.baby;z++){
        baby.push(z+1);
    }

    var passengerData = [{
      key : '1',
      title : 'MR',
      firstName : 'Syahrul',
      lastName : 'Maulana',
      category : 'A',
      phoneNumber : '081231212123',
      dob : '1987-07-11',
      passport_number : '2131412312312',
      passport_expired: '2018-02-02',
    },
    {
      key : '2',
      title : 'MS',
      firstName : 'Puspa',
      lastName : 'Maharani',
      category : 'A',
      phoneNumber : '08123365343',
      dob : '1990-02-02',
      passport_number : '5331234123213',
      passport_expired: '2018-02-02',
    },
    {
      key : '3',
      title : 'MSTR',
      firstName : 'Michael',
      lastName : 'Nurullah',
      category : 'A',
      phoneNumber : '084343253412',
      dob : '1997-07-11',
      passport_number : '123123453332',
      passport_expired: '2018-02-02',

    },];

    var customerData = [{
      'name' : 'Muhammad Badrul',
      'phoneNumber' : '08129381293',
      'email' : 'muha@mad.com',
      'booking_date' : '2017-09-09',
    }]

    const actionsModals = [
      <FlatButton
        label="Cancel"
        primary={true}
        onClick={this.handleCloseModal}
      />,
      <FlatButton
        label="Ok"
        primary={true}
        onClick={this.props.onClickBook}
      />,
    ];

    return (

      <div className="animated fadeIn">
            <div className="row">
              <div className="col s12 l12 left-panel">
                <div className="row">
                <Card>
                <Toolbar className="toolbarCard" style={{backgroundColor: '#fff'}}>
                <ToolbarGroup>
                <IconButton
                  iconClassName="material-icons"
                  tooltip="Back"
                  style={{marginLeft:'0px'}}
                  onClick={this.props.onClickBack}
                >
                  arrow_back
                </IconButton>
                  <ToolbarTitle style={{fontSize: 14, fontWeight: 500, color: '#32325d'}} text={'Flight Detail'}/>
                </ToolbarGroup>
                </Toolbar>
                
                <Divider/>
                
                <div style={{padding: '14px'}}>
                  <div className="row detail-flight">
                    <div className="col l3">
                    <img src={`${this.props.flightData.image}`}  style={{width:'50%'}}/>
                    <p className="flight-code">Flight Code : {this.props.flightData.desc.flight}</p>
                    <p className="passive">{this.props.flightData.desc.date}</p>
                    </div>
                    <div className="col l6">
                        <div className="col l12">
                        <div className="row">
                          <div className="col l1">
                            <FontIcon className="material-icons" style={{color : '#8f8f8f'}}>radio_button_unchecked</FontIcon>
                          </div>
                          <div className="col l2 ">
                            <p className="top-text">{this.props.flightData.desc.depature.time}</p>
                            
                          </div>
                          <div className="col l9 ">
                            <p className="top-text">{this.props.flightData.desc.depature.airport}</p>
                            <p className="passive">Soekarno–Hatta Internasional Airport</p>
                          </div>
                        </div>
                        <div className="row">
                          <div className="col offset-l1 l12">
                        <p className="passive"><FontIcon className="material-icons" style={{color:'#B7B7B7'}}>timer</FontIcon><span className="duration">3h 50m</span></p>
                          </div>
                        </div>
                        <div className="row">
                          <div className="col l1">
                            <FontIcon className="material-icons" style={{color : '#8f8f8f'}}>radio_button_checked</FontIcon>
                          </div>
                          <div className="col l2 ">
                            <p className="top-text"> {this.props.flightData.desc.destination.time}</p>
                           
                          </div>
                          <div className="col l9 ">
                            <p className="top-text">{this.props.flightData.desc.destination.airport}</p>
                            <p className="passive">Singapore Changi International Airport</p>
                          </div>
                        </div>
                        </div>
                    </div>
                    <div className="col l3">
                      <p className="facility"><span className="passive">Cabin : </span>Economy</p>
                      <p className="facility"><span className="passive">Food : </span>Yes</p>
                      <p className="facility"><span className="passive">Baggage : </span>20kg</p>

                    </div>
                  </div>
                </div>
                
              </Card>
              </div>
              
              </div>
            </div>
        
            <div className="row">
              <div className="col l12 left-panel" style={{marginTop : '-19px'}}>
                <Card>
                <Toolbar className="toolbarCard" style={{backgroundColor: '#fff'}}>
                <ToolbarGroup>
                  <ToolbarTitle style={{fontSize: 14, fontWeight: 500, color: '#32325d'}} text={'Price Detail'}/>
                </ToolbarGroup>
                </Toolbar>
                
                <Divider/>
                
                <div style={{padding:'14px'}}>
                <div className="row">
                <div className="col l12">
                    <p className="header-text-mini">Depart</p>
                  </div>
                 </div>
                 <div className="row">
                    <div className="col l3">
                      <p className="passive">Adult (x{this.props.passangerData.adult})</p>
                    </div>
                    <div className="col l9" style={{textAlign:'right'}}>
                      <p>Rp. {Number(this.props.flightData.desc.price*this.props.passangerData.adult)}</p>
                    </div>
                </div>
                {(child.slice(0,1)).map(()=>{
                  return (
                       <div className="row">
                          <div className="col l3">
                            <p className="passive">Children (x{this.props.passangerData.children})</p>
                          </div>
                          <div className="col l9" style={{textAlign:'right'}}>
                            <p>Rp. {Number(this.props.flightData.desc.price*this.props.passangerData.children)}</p>
                          </div>
                      </div>
                  )
                })}
                {(baby.slice(0,1)).map(()=>{
                  return (
                       <div className="row">
                          <div className="col l3">
                            <p className="passive">Baby (x{this.props.passangerData.baby})</p>
                          </div>
                          <div className="col l9" style={{textAlign:'right'}}>
                            <p>Rp. {Number(this.props.flightData.desc.price*this.props.passangerData.baby)}</p>
                          </div>
                      </div>
                  )
                })}
                <div className="row">
                  <div className="col l12">
                    <Divider/>
                  </div>
                </div>
                 <div className="row">
                    <div className="col l3">
                      <p className="passive">Total</p>
                    </div>
                    <div className="col l9" style={{textAlign:'right'}}>
                      <p><strong>Rp. {Number(this.props.flightData.desc.price*(this.props.passangerData.adult+this.props.passangerData.children+this.props.passangerData.baby))}</strong></p>
                    </div>
                
                </div>
                </div>
              </Card>
              </div>
            </div>

            <div className="row">
              <div className="col l12 left-panel">
                <Card>
                <Toolbar className="toolbarCard" style={{backgroundColor: '#fff'}}>
                <ToolbarGroup>
                  <ToolbarTitle style={{fontSize: 14, fontWeight: 500, color: '#32325d'}} text={'Passenger Data'}/>
                </ToolbarGroup>
                </Toolbar>
                
                <Divider/>
                
                <div style={{padding:'14px',overflowX:'scroll'}}>
                 <Table>
                     <TableHeader displaySelectAll={false} adjustForCheckbox={false}>
                       <TableRow>
                         <TableHeaderColumn>No</TableHeaderColumn>
                         <TableHeaderColumn>Title</TableHeaderColumn>
                         <TableHeaderColumn>First Name</TableHeaderColumn>
                         <TableHeaderColumn>Last Name</TableHeaderColumn>
                         <TableHeaderColumn>Cat</TableHeaderColumn>
                         <TableHeaderColumn>Phone Number</TableHeaderColumn>
                         <TableHeaderColumn>Date Of Birth</TableHeaderColumn>
                         <TableHeaderColumn>Passport Number</TableHeaderColumn>
                         <TableHeaderColumn>Expired Date</TableHeaderColumn>
                       </TableRow>
                     </TableHeader>
                     <TableBody displayRowCheckbox={false} showRowHover={true}>
                       {passengerData.map((row)=>{
                          return (
                              <TableRow>
                                <TableRowColumn>{row.key}</TableRowColumn>
                                <TableRowColumn>{row.title}</TableRowColumn>
                                <TableRowColumn>{row.firstName}</TableRowColumn>
                                <TableRowColumn>{row.lastName}</TableRowColumn>
                                <TableRowColumn>{row.category}</TableRowColumn>
                                <TableRowColumn>{row.phoneNumber}</TableRowColumn>
                                <TableRowColumn>{row.dob}</TableRowColumn>
                                <TableRowColumn>{row.passport_number}</TableRowColumn>
                                <TableRowColumn>{row.passport_expired}</TableRowColumn>
                              </TableRow>
                          )
                       })}
                     </TableBody>
                   </Table>     
                </div>
              </Card>
              </div>
            </div>

            <div className="row">
              <div className="col l12 left-panel">
                <Card>
                <Toolbar className="toolbarCard" style={{backgroundColor: '#fff'}}>
                <ToolbarGroup>
                  <ToolbarTitle style={{fontSize: 14, fontWeight: 500, color: '#32325d'}} text={'Customer Data'}/>
                </ToolbarGroup>
                </Toolbar>
                
                <Divider/>
                
                <div style={{padding:'14px'}}>
                 <div className="row">
                 <Table>
                     <TableHeader displaySelectAll={false} adjustForCheckbox={false}>
                       <TableRow>
                         <TableHeaderColumn>No</TableHeaderColumn>
                         <TableHeaderColumn>Full Name</TableHeaderColumn>
                         <TableHeaderColumn>Phone Number</TableHeaderColumn>
                         <TableHeaderColumn>Email</TableHeaderColumn>
                         <TableHeaderColumn>Booking Date</TableHeaderColumn>
                       </TableRow>
                     </TableHeader>
                     <TableBody displayRowCheckbox={false} showRowHover={true}>
                        {customerData.map((row)=>{
                          return(<TableRow>
                            <TableRowColumn>1</TableRowColumn>
                            <TableRowColumn>{row.name}</TableRowColumn>
                            <TableRowColumn>{row.phoneNumber}</TableRowColumn>
                            <TableRowColumn>{row.email}</TableRowColumn>
                            <TableRowColumn>{row.booking_date}</TableRowColumn>
                          </TableRow>)
                        })}
                     </TableBody>
                   </Table>
                  </div>     
                </div>
              </Card>
              </div>
            </div>

            <div className="row">
              <div className="col l12 left-panel">
                <Card>
                <Toolbar className="toolbarCard" style={{backgroundColor: '#fff'}}>
                <ToolbarGroup>
                  <ToolbarTitle style={{fontSize: 14, fontWeight: 500, color: '#32325d'}} text={'Terms And Condition'}/>
                </ToolbarGroup>
                </Toolbar>
                
                <Divider/>
                
                <div style={{padding:'14px'}}>
                  <div style={{maxHeight:'300px',overflowY:'scroll',padding:'10px'}}>
                      <h3>50 RULE APPLICATION AND OTHER CONDITIONS</h3>NOTE - THE FOLLOWING TEXT IS INFORMATIONAL AND NOT
                      VALIDATED FOR AUTOPRICING.
                      GA ECONOMY CLASS FROM INDONESIA TO AREA 03
                      APPLICATION
                      AREA
                      THESE FARES APPLY
                      FROM INDONESIA
                      TO AREA 3.
                      CLASS OF SERVICE
                      THESE FARES APPLY FOR ECONOMY CLASS SERVICE.
                      TYPES OF TRANSPORTATION
                      THIS RULE GOVERNS ONE-WAY AND ROUND-TRIP FARES.
                      FARES GOVERNED BY THIS RULE CAN BE USED TO CREATE
                      ONE-WAY/ROUND-TRIP/OPEN-JAW JOURNEYS.
                      CAPACITY LIMITATIONS
                      THE CARRIER SHALL LIMIT THE NUMBER OF PASSENGERS
                      CARRIED ON ANY ONE FLIGHT AT FARES GOVERNED BY
                      THIS RULE AND SUCH FARES WILL NOT NECESSARILY BE
                      AVAILABLE ON ALL FLIGHTS. THE NUMBER OF SEATS,
                      WHICH THE CARRIER SHALL MAKE AVAILABLE ON A GIVEN
                      FLIGHT, WILL BE DETERMINED BY THE CARRIER'S BEST
                      JUDGEMENT.<br/><br/><h3>01 ELIGIBILITY</h3>NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      DOCUMENTS FOR SPECIFIED/ DISCOUNTED PAX TYPE
                      GOVERN IN CAT 22<br/><br/><h3>02 DAY/TIME</h3>NO DAY/TIME TRAVEL RESTRICTIONS APPLY.<br/><br/><h3>03 SEASONALITY</h3>NO SEASONAL TRAVEL RESTRICTIONS APPLY.<br/><br/><h3>04 FLIGHT APPLICATION</h3>THE FARE COMPONENT MUST NOT BE ON
                      ONE OR MORE OF THE FOLLOWING
                      GA FLIGHTS 9000 THROUGH 9799
                      GA FLIGHTS 9900 THROUGH 9999.
                      AND
                      THE FARE COMPONENT MUST BE ON
                      ONE OR MORE OF THE FOLLOWING
                      ANY GA FLIGHT.<br/><br/><h3>05 ADVANCE RESERVATIONS/TICKETING</h3>FARE RULE
                      NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      ADVANCE RESERVATION TICKETING
                      A. RESERVATION
                      A.1.PASSENGER NAME ON RESERVATION SHOULD
                      BE IDENTICAL WITH WHICH
                      WRITTEN IN THEIR PASSPORT.
                      A.2.BOOKING CLASS ON GA INTERNATIONAL
                      SECTORS SHOULD REFER TO
                      THE FIRST DIGIT OF THE FARE BASIS.
                      A.3.BOOKING MUST BE CONFIRMED ON THE
                      ENTIRE JOURNEY.
                      B. TICKETING
                      B.1.GA TICKETING TIME LIMIT PROCEDURES
                      MUST APPLY.
                      B.2.NVB AND NVA BOXES MUST BE FULFILLED
                      UPON TICKETING.
                      B.3.TICKET MUST BE ISSUED IN ACCORDANCE
                      WITH THE BOOKING CLASS
                      AT THE RESERVATION.
                      B.4.TICKET MUST BE USED IN SEQUENCE.
                      B.5.RSP IS VALID FOR GA DOCUMENTS.
                      B.6.PUT APPLICABLE GA RSP AT
                      FARE CALCULATION BOX AND
                      NET REMITTANCE BOX.
                      USING GA FARE BASIS AT FARE BASIS BOX
                      GENERAL RULE - APPLY UNLESS OTHERWISE SPECIFIED
                      NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      A. RESERVATION
                      1. PASSENGER NAME ON RESERVATION SHOULD BE
                      IDENTICAL WITH WHICH WRITTEN IN THEIR PASSPORT
                      AND OR VALID ID CARD.
                      2. BOOKING MUST CONFIRM ON THE ENTIRE JOURNEY
                      B. TICKETING
                      1. GA TICKETING TIME LIMIT PROCEDURES MUST APPLY
                      2. NVA AND NVB BOXES MUST BE FULFILLED UPON
                      TICKETING
                      3. TICKET MUST BE ISSUED IN ACCORDANCE WITH THE
                      BOOKING CLASS AT THE RESERVATION
                      4. TICKET MUST BE USED IN SEQUENCE<br/><br/><h3>06 MINIMUM STAY</h3>NO MINIMUM STAY REQUIREMENTS APPLY.<br/><br/><h3>07 MAXIMUM STAY</h3>TRAVEL FROM LAST STOPOVER MUST COMMENCE NO LATER THAN
                      6 MONTHS AFTER DEPARTURE FROM FARE ORIGIN.<br/><br/><h3>08 STOPOVERS</h3>2 FREE STOPOVERS PERMITTED ON THE PRICING UNIT.
                      AND - UNLIMITED STOPOVERS PERMITTED ON THE PRICING UNIT
                      AT IDR 420000 EACH.
                      NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      1.  COMMISSIONABLE
                      2.  EXCEPTION
                      2.A. DEST MEL/SYD/PER/TYO/OSA/SEL/CAN/BJS/SHA
                      WITH ROUTING NUMBER 5503/5500
                      STOPOVER PERMITTED WITH FEE IDR 420000
                      2.B. DEST SIN
                      WITH ROUTING NUMBER 4403
                      STOPOVER PERMITTED WITH FEE IDR 420000<br/><br/><h3>09 TRANSFERS</h3>UNLIMITED TRANSFERS PERMITTED ON THE PRICING UNIT.
                      FARE BREAK AND EMBEDDED SURFACE SECTORS PERMITTED ON
                      THE FARE COMPONENT.<br/><br/><h3>10 COMBINATIONS</h3>END-ON-END
                      END-ON-END COMBINATIONS PERMITTED WITH DOMESTIC/
                      INTERNATIONAL FARES. VALIDATE ALL FARE COMPONENTS.
                      SIDE TRIPS PERMITTED WITH NO RESTRICTIONS.
                      END-ON-END NOTE -
                      IT IS NOT ALLOWED TO COMBINE ECONOMY CLASS ADD ON
                      WITH BUSSINESS CLASS
                      FARES/INTERNATIONAL RSP OR BUSSINESS CLASS ADD ON
                      WITH ECONOMY CLASS FARES/INTERNATIONAL RSP.
                      FOR MIXED COMPARTMENT COMBINATION INSTEAD OF APPLY
                      ING DOMESTIC ADD ON THE DOMESTIC SECTOR SHOULD APP
                      LY GA DOMESTIC FARE USING J OR Y CLASS LEVEL.
                      C -INTERNATIONAL- IS COMBINABLE WITH J -DOMESTIC-
                      END ON COMBINATION PERMITTED WITH USING GA
                      DOMESTIC FARE
                      -J FOR BUSSINESS OR Y/M/L FOR ECONOMY- FARES
                      COMBINATION BETWEEN GA DOMESTIC SECTOR WITH SPA SE
                      CTOR IS PERMITTED
                      DOMESTIC SECTOR MUST APPLY IDR -Y/B/M/K/N- FARE.
                      COMBINATION WITHIN GA ROUTE
                      HALF RETURN FARE CALCULATION APPLIES FOR ROUTE OR
                      CLASS COMBINATION
                      FOR ONE WAY JOURNEY WITH INTERNATIONAL SURFACE BRE
                      AK.
                      ROUTE COMBINATION
                      FARE CATEGORY COMBINATION IS PERMITTED ON THE SAME
                      CATEGORY
                      OPEN JAWS
                      FARES MAY BE COMBINED ON A HALF ROUND TRIP BASIS
                      WITH ANY FARE FOR ANY CARRIER IN ANY RULE AND
                      TARIFF.
                      -TO FORM SINGLE OR DOUBLE OPEN JAWS
                      MILEAGE OF THE INTERNATIONAL OPEN SEGMENT MUST BE
                      EQUAL/LESS THAN MILEAGE OF THE LONGEST FLOWN FARE
                      COMPONENT. THERE IS NO MILEAGE RESTRICTION ON AN
                      OPEN SEGMENT WITHIN ONE COUNTRY.
                      OPEN JAWS NOTE -
                      THE MOST RESTRICTIVE CONDITIONS APPLY.
                      ROUND TRIPS/CIRCLE TRIPS
                      FARES MAY BE COMBINED ON A HALF ROUND TRIP BASIS
                      -TO FORM ROUND TRIPS/CIRCLE TRIPS.
                      ROUND TRIPS/CIRCLE TRIPS NOTE -
                      THE MOST RESTRICTIVE CONDITIONS APPLY.
                      PROVIDED -
                      COMBINATIONS ARE WITH ANY FARE FOR CARRIER GA IN
                      ANY RULE IN ANY TARIFF.<br/><br/><h3>11 BLACKOUT DATES</h3>NO BLACKOUT DATES APPLY.<br/><br/><h3>12 SURCHARGES</h3>NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      A. TAXES/FEES AND CHARGES ARE EXCLUDED FROM RSP
                      LEVELS AND MUST BE COLLECTED ACCORDINGLY.
                      B. VALID PUBLICATION OF TFC IS PROVIDED SEPARATELY
                      C. TFC IS NON COMMISSIONABLE.
                      D. DISCOUNT DOES NOT APPLY FOR TFC<br/><br/><h3>13 ACCOMPANIED TRAVEL</h3>ACCOMPANIED TRAVEL NOT REQUIRED.<br/><br/><h3>14 TRAVEL RESTRICTIONS</h3>VALID FOR TRAVEL COMMENCING ON/BEFORE 31JUL18.<br/><br/><h3>15 SALES RESTRICTIONS</h3>TICKETS MUST BE ISSUED ON THE STOCK OF GA. EXTENSION
                      OF TICKET VALIDITY IS NOT PERMITTED.
                      TICKETS MUST BE ISSUED ON/BEFORE 31JUL18.
                      NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      A PTA
                      A.1.A CHARGE OF USD 35 PER TRANSACTION PER RECEIVE
                      A 2 EXCEPT FOR RSP IT GROUP AND OTHER
                      SPECIFIED RESTRICTED PROMOTIONAL FARES RSP
                      MAY BE SOLD OUTSIDE THE COUNTRY OF ORIGIN.
                      IT IS IMPORTANT TO ALWAYS REFER TO FARE RULES/
                      AS IDENTIFIED IN THE RULE ID SECTIONS.
                      AND GENERAL AND SPECIFIC RULES OF THE RSP
                      ACCORDINGLY.
                      B. EXTENSION OF VALIDITY BY UP-SELLING
                      C. TICKET VALIDITY FOR ONEWAY FARES
                      - 1 YEAR FROM DEPARTURE OF ORIGIN CITY FOR
                      Y/B/M/K/N CLASS FARE FOR DESTINATION SWP.
                      - 1 YEAR FROM DEPARTURE OF ORIGIN CITY FOR
                      Y/B/M CLASS FARE FOR DESTINATION OTHER
                      THAN SWP.
                      - 6 MONTHS FROM DEPARTURE OF ORIGIN CITY FOR
                      K/N CLASS FARE FOR DESTINATION OTHER THAN
                      SWP.<br/><br/><h3>16 PENALTIES</h3>NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      CHANGES PERMITTED WITH PENALTIES.
                      CHANGES WILL BE FOR
                      REISSUE/UPGRADE/REBOOKING/REROUTING/NOSHOW.
                      CHARGE WAIVED FOR DEATH OF PAX.
                      REPRICE USING FARES IN EFFECT TODAY
                      NEW TKT HAS EQUAL OR HIGHER VALUE THAN PREVIOUS
                      TKT
                      ADV RES IS MEASURED FROM REISSUE DATE TO
                      DEPARTURE OF PRICING UNIT
                      APPLIES WITHIN TKT VALIDITY
                      ////////////////////////////////////////////////
                      CHANGES BEFORE JOURNEY/TOTALLY UNUSED TICKETS
                      CHANGES PROCESSED BEFORE FLIGHT IDR 140.000
                      CHANGES PROCESSED AFTER FLIGHT IDR 840.000
                      CHANGES AFTER JOURNEY/PARTIALLY USED TICKETS
                      CHANGES PROCESSED BEFORE FLIGHT IDR 140.000
                      CHANGES PROCESSED AFTER FLIGHT IDR 840.000
                      //////////////////////////////////////////////
                      REFUND PERMITTED
                      REFUND BEFORE JOURNEY/TOTALLY UNUSED TICKETS
                      REFUND PROCESSED BEFORE FLIGHT IDR 1.400.000
                      REFUND PROCESSED AFTER FLIGHT IDR 2.240.000
                      REFUND AFTER JOURNEY/PARTIALLY USED TICKETS
                      REFUND PROCESSED BEFORE FLIGHT IDR 1.400.000
                      REFUND PROCESSED AFTER FLIGHT IDR 2.240.000<br/><br/><h3>17 HIP/MILEAGE EXCEPTIONS</h3>THE HIGHER INTERMEDIATE POINT RULE DOES NOT APPLY FOR
                      STOPOVERS.
                      NOTE -
                      -MILEAGE PRINCIPLES DO NOT APPLY.
                      -FARES NOT SUBJECT TO ALL FARE CHECKS.<br/><br/><h3>18 TICKET ENDORSEMENTS</h3>THE ORIGINAL AND THE REISSUED TICKET MUST BE ANNOTATED
                      - NO ENDORSE - AND - CONDITIONS APPLY - AND - POS ID -
                      EXCH RATE REF TO - AND - DATE OF TRANSACTION - IN THE
                      ENDORSEMENT BOX.<br/><br/><h3>19 CHILDREN DISCOUNTS</h3>CNN/ACCOMPANIED CHILD PSGR 2-11 - CHARGE 75 PERCENT OF
                      THE FARE.
                      TICKET DESIGNATOR - CH AND PERCENT APPLIED.
                      MUST BE ACCOMPANIED ON ALL FLIGHTS IN THE SAME
                      COMPARTMENT BY ADULT PSGR 12 OR OLDER.
                      OR -
                      NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      UNACCOMPANIED CHILD 2-7 YEARS - TRAVEL NOT
                      PERMITTED AT THIS FARE.
                      OR - UNN/UNACCOMPANIED CHILD PSGR 8-11 - CHARGE 100
                      PERCENT OF THE FARE.
                      TICKET DESIGNATOR - CH AND PERCENT APPLIED.
                      OR - 1ST INF/INFANT WITHOUT A SEAT PSGR UNDER 2 -
                      CHARGE 10 PERCENT OF THE FARE.
                      TICKET DESIGNATOR - IN AND PERCENT APPLIED.
                      MUST BE ACCOMPANIED ON ALL FLIGHTS IN THE SAME
                      COMPARTMENT BY ADULT PSGR 12 OR OLDER.
                      OR - INS/INFANT WITH A SEAT PSGR UNDER 2 - CHARGE 75
                      PERCENT OF THE FARE.
                      TICKET DESIGNATOR - IN AND PERCENT APPLIED.
                      MUST BE ACCOMPANIED ON ALL FLIGHTS IN THE SAME
                      COMPARTMENT BY ADULT PSGR 12 OR OLDER.
                      OR -
                      NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      UNACCOMPANIED INFANT UNDER 2 YEARS - TRAVEL NOT
                      PERMITTED AT THIS FARE.<br/><br/><h3>20 TOUR CONDUCTOR DISCOUNTS</h3>NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      TOUR CONDUCTOR DISCOUNTS PERMITTED.<br/><br/><h3>21 AGENT DISCOUNTS</h3>NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      AGENT DISCOUNTS NOT PERMITTED.<br/><br/><h3>22 ALL OTHER DISCOUNTS</h3>SEA/SEAMAN PSGR - CHARGE 85 PERCENT OF THE FARE.
                      TICKET DESIGNATOR - SC.
                      NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      DOCUMENTS
                      - COPY OF VALID SEAMANS BOOK
                      - A LETTER OF RECOMMENDATION FROM THE SHIPPING
                      COMPANY OR ITS AGENT OR THE CAPTAIN OF THE SHIP
                      - A COPY OF VALID VISA
                      - CONFIRMATION OF CLEARANCE TO BE -OK TO BOARD
                      FROM THE PORT OF DESTINATION EXCEPT SIN KUL AND
                      HKG
                      OR - LBR/LABORER / WORKER PSGR - CHARGE 85 PERCENT OF
                      THE FARE.
                      TICKET DESIGNATOR - DL.
                      NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      DOCUMENTS
                      - WORKING PERMIT AND APPLICABLE VISA
                      OR - STU/STUDENT PSGR - CHARGE 80 PERCENT OF THE FARE.
                      TICKET DESIGNATOR - SD.
                      NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      DOCUMENTS
                      - COPY OF VALID STUDENT CARD OR
                      - COPY OF VALID STUDENT VISA OR
                      - LETTER OF ACCEPTANCE FROM CONCERNED INSTITUTION
                      OR - SRC/SENIOR CITIZEN PSGR 60 OR OLDER - CHARGE 80
                      PERCENT OF THE FARE.
                      TICKET DESIGNATOR - CD.
                      NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      VALID ID AGED MIN 60 YEARS
                      OR -
                      NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      ADVANCE PURCHASE
                      ADULT - CHARGE 93 PERCENT OF THE FARE
                      TICKETING CODE - BASE FARE CODE PLUS AP
                      NOTE -
                      AP21 7PCT DISCOUNT OF Y/B/M/K/N FARE
                      FOR TICKET ISSUED 21 DAYS BEFORE DEPARTURE.
                      ADD -AP- AT END OF FARE BASIS.
                      TO BE SOLD IN INDONESIA ONLY.
                      -----------------------------------------------
                      TRAINER
                      ADULT - CHARGE 85 PERCENT OF THE FARE
                      TICKETING CODE - BASE FARE CODE PLUS TR
                      NOTE -
                      DOCUMENTS
                      1. ORIGINAL LETTER FROM THE SPONSOR IN INDONESIA
                      AND COUNTRY OF DESTINATION
                      2. COPY OF VALID COMPANY ID
                      3. COPY OF VALID VISA
                      ADD -TR- AFTER THE FARE BASIS
                      -------------------------------------------------
                      ENTERTAINER
                      ADULT - CHARGE 85 PERCENT OF THE FARE
                      TICKETING CODE - BASE FARE CODE PLUS EN
                      NOTE -
                      DOCUMENTS
                      1. WORKING PERMIT AND APPLICABLE VISA
                      2. A CERTIFICATE OF ELIGIBILITY
                      ADD -EN- AFTER THE FARE BASIS<br/><br/><h3>23 MISCELLANEOUS PROVISIONS</h3>THIS FARE MAY BE USED TO CONSTRUCT UNPUBLISHED FARES.
                      NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      COMMISSION
                      ----------
                      TICKET ISSUED ON/AFTER 17 APRIL 2017
                      COMMISSION BASED ON RULES PER COUNTRY OF SALES
                      //////////////////////////////////////
                      TICKET ISSUED BEFORE 17 APRIL 2017
                      A. FARES SHOWN AT THE FARES PAGES
                      INCLUDES 7PCT AS SALES COMMISSION FOR
                      TICKET SOLD/ISSUED IN AUTHORIZED TRAVEL
                      AGENTS.
                      B. NO SALES COMMISSION FOR TICKET SOLD/
                      ISSUED AT GA OFFICES
                      C. TAXES/FEES AND CHARGES -TFC- IS NON
                      COMMISSIONABLE<br/><br/><h3>25 FARE BY RULE</h3>NOT APPLICABLE.<br/><br/><h3>26 GROUPS</h3>NO GROUP PROVISIONS APPLY.<br/><br/><h3>27 TOURS</h3>NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      TOURCODE APPLICABLE FOR MANUAL ENTRY TICKET
                      -  RZP1009913 FOR TRAVEL DURING
                      1 APRIL 2014 UNTIL 31 MARCH 2015
                      BASED ON FIRST DEPARTURE OF ORIGIN CITY
                      -  RZTI271114 FOR TRAVEL DURING
                      1 APRIL 2015 UNTIL 31 MARCH 2016
                      BASED ON FIRST DEPARTURE OF ORIGIN CITY
                      -  RZTI264115 FOR TRAVEL DURING
                      01 APRIL 2016 - 31 MARCH 2017
                      BASED ON FIRST DEPARTURE OF ORIGIN CITY
                      -  RZTI261616 FOR TRAVEL DURING
                      01 APRIL 2017 - 31 MARCH 2018
                      BASED ON FIRST DEPARTURE OF ORIGIN CITY<br/><br/><h3>28 VISIT ANOTHER COUNTRY</h3>NO VISIT ANOTHER COUNTRY PROVISIONS APPLY.<br/><br/><h3>29 DEPOSITS</h3>NO DEPOSIT PROVISIONS APPLY.<br/><br/><h3>31 VOLUNTARY CHANGES</h3>ENTER RD*31 OR RDLINE NUM*31 FOR VOLUNTARY CHGS.<br/><br/><h3>33 VOLUNTARY REFUNDS</h3>CHECK CATEGORY 16 OR CONTACT CARRIER FOR DETAILS.<br/><br/><h3>35 NEGOTIATED FARES</h3>NOT APPLICABLE.<br/><br/><h3>IC INTERNATIONAL CONSTRUCTION</h3>NOT A CONSTRUCTED FARE<br/><br/>,<h3>50 RULE APPLICATION AND OTHER CONDITIONS</h3>NOTE - THE FOLLOWING TEXT IS INFORMATIONAL AND NOT
                      VALIDATED FOR AUTOPRICING.
                      ECONOMY CLASS UNRESTRICTED FARES
                      APPLICATION
                      AREA
                      THESE FARES APPLY WITHIN AREA 3.
                      CLASS OF SERVICE
                      THESE FARES APPLY FOR ECONOMY CLASS SERVICE.
                      TYPES OF TRANSPORTATION
                      THIS RULE GOVERNS ONE-WAY AND ROUND-TRIP FARES.
                      FARES GOVERNED BY THIS RULE CAN BE USED TO CREATE
                      ONE-WAY/ROUND-TRIP/CIRCLE-TRIP/OPEN-JAW JOURNEYS.
                      OTHER CONDITIONS
                      PASSENGER EXPENSE NOT PERMITTED.
                      THE FARE THAT APPLIES ON THE DATE OF PURCHASE IS
                      ONLY VALID FOR THE ENTIRE ITINERARY AND THE
                      SPECIFIC TRAVEL DATES MENTIONED ON THE TICKET.
                      ANY MODIFICATION MAY REQUIRE THE PAYMENT OF
                      AN ADDITIONAL AMOUNT. THE TICKET OR ELECTRONIC
                      TICKET IS NOT VALID IF THE FIRST COUPON HAS NOT
                      BEEN USED AND WILL NOT BE HONOURED IF ALL
                      THE COUPONS ARE NOT USED IN THE SEQUENCE PROVIDED
                      IN THE TICKET OR ELECTRONIC TICKET.<br/><br/><h3>01 ELIGIBILITY</h3>NO ELIGIBILITY REQUIREMENTS APPLY.<br/><br/><h3>02 DAY/TIME</h3>NO DAY/TIME TRAVEL RESTRICTIONS APPLY.<br/><br/><h3>03 SEASONALITY</h3>NO SEASONAL TRAVEL RESTRICTIONS APPLY.<br/><br/><h3>04 FLIGHT APPLICATION</h3>THE FARE COMPONENT MUST BE ON
                      ONE OR MORE OF THE FOLLOWING
                      ANY TG FLIGHT OPERATED BY TG.<br/><br/><h3>05 ADVANCE RESERVATIONS/TICKETING</h3>NO ADVANCE RESERVATIONS/TICKETING REQUIREMENTS APPLY.<br/><br/><h3>06 MINIMUM STAY</h3>NO MINIMUM STAY REQUIREMENTS APPLY.<br/><br/><h3>07 MAXIMUM STAY</h3>TRAVEL FROM LAST STOPOVER MUST COMMENCE NO LATER THAN
                      12 MONTHS AFTER DEPARTURE FROM FARE ORIGIN.<br/><br/><h3>08 STOPOVERS</h3>UNLIMITED FREE STOPOVERS PERMITTED ON THE PRICING
                      UNIT.<br/><br/><h3>09 TRANSFERS</h3>UNLIMITED TRANSFERS PERMITTED ON THE PRICING UNIT.
                      FARE BREAK AND EMBEDDED SURFACE SECTORS PERMITTED ON
                      THE FARE COMPONENT.<br/><br/><h3>10 COMBINATIONS</h3>END-ON-END PERMITTED. VALIDATE ALL FARE COMPONENTS.
                      SIDE TRIPS NOT PERMITTED. TRAVEL MUST BE VIA POINT OF
                      COMBINATION.
                      OPEN JAWS/ROUND TRIPS/CIRCLE TRIPS
                      FARES MAY BE COMBINED ON A HALF ROUND TRIP BASIS
                      -TO FORM SINGLE OR DOUBLE OPEN JAWS WHICH CONSISTS
                      OF NO MORE THAN 2 INTERNATIONAL FARE COMPONENTS AND
                      THE OPEN SEGMENT AT ORIGIN MUST BE IN ONE COUNTRY.
                      THE OPEN SEGMENT AT DESTINATION HAS NO RESTRICTIONS
                      A MAXIMUM OF TWO INTERNATIONAL FARE COMPONENTS
                      PERMITTED. MILEAGE OF THE OPEN SEGMENT MUST BE EQUAL/
                      LESS THAN MILEAGE OF THE SHORTEST FLOWN FARE
                      COMPONENT.
                      -TO FORM ROUND TRIPS/CIRCLE TRIPS.
                      PROVIDED -
                      COMBINATIONS ARE WITH ANY FARE FOR ANY CARRIER IN
                      ANY RULE IN ANY TARIFF.<br/><br/><h3>11 BLACKOUT DATES</h3>NO BLACKOUT DATES APPLY.<br/><br/><h3>12 SURCHARGES</h3>NO SURCHARGE REQUIREMENTS APPLY.<br/><br/><h3>13 ACCOMPANIED TRAVEL</h3>ACCOMPANIED TRAVEL NOT REQUIRED.<br/><br/><h3>14 TRAVEL RESTRICTIONS</h3>NO TRAVEL DATE RESTRICTIONS APPLY.<br/><br/><h3>15 SALES RESTRICTIONS</h3>FOOTNOTE RULE
                      TICKETS MUST BE ISSUED ON/AFTER 24MAY17.
                      FARE RULE
                      TICKETS MAY BE ISSUED BY ELECTRONIC TICKETING.
                      EXTENSION OF TICKET VALIDITY IS NOT PERMITTED.<br/><br/><h3>16 PENALTIES</h3>NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      TRAFFIC DOCUMENT ISSUED IN THAILAND
                      CANCELLATIONS
                      BEFORE DEPARTURE
                      CHARGE THB 2500 FOR CANCEL/REFUND.
                      CHARGE WAIVED IN CASE OF DEATH OF PASSENGER
                      OR DEATH OF IMMEDIATE FAMILY. CERTIFICATE
                      MUST BE NOTIFIED.
                      CHILD/INFANT WITH SEAT CHARGE THB2500.
                      INFANT WITHOUT SEAT - NO CHARGE
                      NOTE 1-IN THE EVENT OF NO-SHOW ON A
                      CANCEL/REFUND TICKET CHARGE THB2500 -
                      CANCEL/REFUND FEE THB2500 PLUS NO-SHOW
                      FEE THB0.00
                      NOTE 2 - THE LOCAL ADMINISTRATION/SERVICE/
                      HANDLING FEE MAY APPLY IN ADDITION TO NOTE1.
                      NOTE 3 - IN THE EVENT OF NO-SHOW ON
                      REFUNDABLE -THE ORIGINAL AND THE REISSUED
                      TICKET MUST BE ANNOTATED -TG MAY REFUSE
                      REFUND IF APPLICATION IS MADE LATER THAN 90
                      DAYS AFTER EXPIRY OF E-TICKETS/EMD FOR
                      REFUNDABLE E-TICKETS/EMD MUST BE SHOWN IN
                      THE RESTRICTION BOX.
                      AFTER DEPARTURE
                      CHARGE THB2500 FOR CANCEL/REFUND.
                      CHARGE WAIVED IN CASE OF DEATH OF PASSENGER OR
                      DEATH OF IMMEDIATE FAMILY. CERTIFICATE MUST BE
                      NOTIFIED.
                      CHILD/INFANT WITH SEAT CHARGE THB2500
                      INFANT WITHOUT SEAT - NO CHARGE
                      NOTE 1 - IN THE EVENT OF NO-SHOW ON A
                      CANCEL/REFUND TICKET CHARGE THB2500 -
                      CANCEL/REFUND FEE THB2500 PLUS NO-SHOW FEE
                      THB0.00
                      NOTE 2 - THE LOCAL ADMINISTRATION/SERVICE/
                      HANDLING FEE MAY APPLY IN ADDITION TO NOTE1.
                      NOTE 3 - REFUND FOR PARTIALLY USED TICKET IS
                      BASED ON CALCULATION OF ACTUAL FLOWN SEGMENT-
                      FOR THE SAME TYPE OF FARE IF APPLICABLE
                      -IF NOT-THE HIGHER FARE TYPE AVAILABLE.
                      NOTE 4 - IN THE EVENT OF NO-SHOW ON
                      REFUNDABLE -THE ORIGINAL AND THE REISSUED
                      TICKET MUST BE ANNOTATED -TG MAY REFUSE
                      REFUND IF APPLICATION IS MADE LATER THAN 90
                      DAYS AFTER EXPIRY OF E-TICKETS/EMD FOR
                      REFUNDABLE E-TICKETS/EMD MUST BE SHOWN IN
                      THE RESTRICTION BOX.
                      CHANGES - ANY TIME
                      CHANGES PERMITTED FOR REISSUE.
                      CHILD/INFANT DISCOUNTS APPLY TO THE APPLICABLE
                      FARE. CHANGES PERMITTED FOR REVALIDATION.
                      CHILD/INFANT DISCOUNTS APPLY TO THE APPLICABLE
                      FARE.
                      NOTE 1-IN THE EVENT OF NO-SHOW
                      PERMITTED AT THB0.00 -REROUTING FEE THB0.00
                      PLUS NO SHOW FEE THB0.00 OR PERMITTED AT
                      THB0.00 -REBOOKING FEE THB0.00 PLUS NO SHOW
                      FEE THB0.00
                      NOTE 2 -GENERAL INFORMATION FOR REROUTING/
                      REBOOKING TO TICKETED FLIGHTS FOR THIS FARE
                      ARE AS BELOW-
                      1- REISSUE EQUALS TO REROUTING.
                      2- REVALIDATION EQUALS TO REBOOKING.
                      3- CHANGE OF AIRPORT WITHIN ONE CITY DOES
                      NOT CONSTITUTE AS REROUTING.
                      4- CHANGE MUST BE MADE WITHIN VALIDITY OF
                      TICKET.
                      5- THE CHANGE FEE- IF APPLICABLE- APPLIES
                      PER TRANSACTION PER PERSON.
                      6- INFANT WITHOUT SEAT - NO CHANGE FEE
                      7- CHILD/INFANT WITH SEAT -   DISCOUNT DOES
                      NOT APPLY TO THE CHANGE FEE
                      8-WHEN THE NEW ITINERARY RESULTS IN A HIGHER
                      FARE -
                      COLLECT FARE DIFFERENCE -AND-COLLECT CHANGE
                      FEE- IF APPLICABLE
                      NOTE - MCO/MPD/EMD SHALL BE ISSUED FOR
                      THE DIFFERENCE IN FARES AND TFCS.
                      9- WHEN THE NEW ITINERARY RESULTS IN A LOWER
                      FARE -
                      REFUND FARE DIFFERENCE -AND-COLLECT CHANGE
                      FEE-IF APPLICABLE
                      NOTE - MCO/MPD/EMD SHALL BE ISSUED FOR
                      THE DIFFERENCE IN FARES AND TFCS.
                      10- IF CHANGE TO THE 1ST FLIGHT COUPON-
                      TOTALLY UNUSED  PASSENGER TICKET
                      WHEN REISSUING TICKETS AND PASSENGER NOT
                      QUALIFY FOR  PERVIOUS/ORIGINAL TICKET FARES
                      - REPRICE THE ENTIRE NEW ITINERAY USING TG
                      CURRENT FARES / RULES IN EFFECT ON DATE
                      OF NEW TICKET ISSUANCE NEW TICKET MAY BE
                      EQUAL /HIGHER OR LOWER  VALUE THAN
                      ORIGINAL TICKET  AND COUNTING ADVANCE
                      PURCHASE DATE - IF REQUIRED- FROM TKT
                      REISSUE DATE
                      NOTE - MCO/MPD/EMD SHALL BE ISSUED
                      FOR THE DIFFERENCE IN FARES AND TFCS
                      11- IF NO CHANGE TO THE 1ST FLIGHT COUPON-
                      PARTIALLY USED PASSENGER TICKET
                      - REPRICE BY USING THE HISTORICAL NORMAL
                      FARE ORIGINAL FARES  BASED ON THE FIRST
                      DATE OF COMMENCING OF TRAVEL NEW TICKET
                      MAY BE EQUAL/HIGHER OR  LOWER VALUE
                      THAN PREVIOUS TICKET.
                      NOTE - MCO/MPD/EMD SHALL BE ISSUED
                      FOR THE DIFFERENCE IN FARES AND TFCS
                      12-UNITED STATES EXCEPTION FOR JOURNEYS
                      TO/FROM OR TICKET ORIGINALLY SOLD IN OR
                      REISSUED IN THE USA/US TERRITORIES
                      -REPRICE THE FARES FROM THE POINT OF
                      ORIGIN IN EFFECT ON THE DATE OF ORIGINAL
                      TICKET ISSUE.NEW TICKET MAY BE EQUAL/
                      HIGHER OR LOWER VALUE THAN PREVIOUS
                      TICKET
                      NOTE - MCO/MPD/EMD SHALL BE ISSUED
                      FOR THE DIFFERENCE IN FARES AND TFCS
                      13- WHEN THIS FARE IS COMBINED WITH ANOTHER
                      FARE -
                      A-CHARGE THE HIGHEST CHANGE FEE OF ALL
                      FARE COMPONENTS WITHIN ALL CHANGED
                      PRICING UNITS.
                      B-IF THE TICKETED FARE ON ANY CHANGED
                      FLIGHT COUPON DOES NOT ALLOW REFUND
                      THEN THE FARE DIFFERENCE IS NOT REFUNDED.
                      NOTE 3 - THE LOCAL ADMINISTRATION/SERVICE/
                      HANDLING FEE MAY APPLY IN ADDITION TO
                      ABOVE NOTES.
                      -------------------------------------------------
                      TRAFFIC DOCUMENT ISSUED OUTSIDE THAILAND
                      CANCELLATIONS
                      BEFORE DEPARTURE
                      CHARGE USD100 FOR CANCEL/REFUND.
                      CHARGE WAIVED IN CASE OF DEATH OF PASSENGER
                      OR DEATH OF IMMEDIATE FAMILY. CERTIFICATE
                      MUST BE NOTIFIED.
                      CHILD/INFANT WITH SEAT CHARGE USD100.
                      INFANT WITHOUT SEAT - NO CHARGE
                      NOTE 1-IN THE EVENT OF NO-SHOW ON A
                      CANCEL/REFUND TICKET CHARGE USD100 -
                      CANCEL/REFUND FEE USD100 PLUS NO-SHOW
                      FEE USD0.00
                      NOTE 2 - THE LOCAL ADMINISTRATION/SERVICE/
                      HANDLING FEE MAY APPLY IN ADDITION TO NOTE1.
                      NOTE 3 - IN THE EVENT OF NO-SHOW ON
                      REFUNDABLE -THE ORIGINAL AND THE REISSUED
                      TICKET MUST BE ANNOTATED -TG MAY REFUSE
                      REFUND IF APPLICATION IS MADE LATER THAN 90
                      DAYS AFTER EXPIRY OF E-TICKETS/EMD FOR
                      REFUNDABLE E-TICKETS/EMD MUST BE SHOWN IN
                      THE RESTRICTION BOX.
                      AFTER DEPARTURE
                      CHARGE USD100 FOR CANCEL/REFUND.
                      CHARGE WAIVED IN CASE OF DEATH OF PASSENGER OR
                      DEATH OF IMMEDIATE FAMILY. CERTIFICATE MUST BE
                      NOTIFIED.
                      CHILD/INFANT WITH SEAT CHARGE USD100
                      INFANT WITHOUT SEAT - NO CHARGE
                      NOTE 1 - IN THE EVENT OF NO-SHOW ON A
                      CANCEL/REFUND TICKET CHARGE USD100 -
                      CANCEL/REFUND FEE USD100 PLUS NO-SHOW FEE
                      USD0.00
                      NOTE 2 - THE LOCAL ADMINISTRATION/SERVICE/
                      HANDLING FEE MAY APPLY IN ADDITION TO NOTE1.
                      NOTE 3 - REFUND FOR PARTIALLY USED TICKET IS
                      BASED ON CALCULATION OF ACTUAL FLOWN SEGMENT-
                      FOR THE SAME TYPE OF FARE IF APPLICABLE
                      -IF NOT-THE HIGHER FARE TYPE AVAILABLE.
                      NOTE 4 - IN THE EVENT OF NO-SHOW ON
                      REFUNDABLE -THE ORIGINAL AND THE REISSUED
                      TICKET MUST BE ANNOTATED -TG MAY REFUSE
                      REFUND IF APPLICATION IS MADE LATER THAN 90
                      DAYS AFTER EXPIRY OF E-TICKETS/EMD FOR
                      REFUNDABLE E-TICKETS/EMD MUST BE SHOWN IN
                      THE RESTRICTION BOX.
                      CHANGES - ANY TIME
                      CHANGES PERMITTED FOR REISSUE.
                      CHILD/INFANT DISCOUNTS APPLY TO THE APPLICABLE
                      FARE. CHANGES PERMITTED FOR REVALIDATION.
                      CHILD/INFANT DISCOUNTS APPLY TO THE APPLICABLE
                      FARE.
                      NOTE 1-IN THE EVENT OF NO-SHOW
                      PERMITTED AT USD0.00 -REROUTING FEE USD0.00
                      PLUS NO SHOW FEE USD0.00 OR PERMITTED AT
                      USD0.00 -REBOOKING FEE USD0.00 PLUS NO SHOW
                      FEE USD0.00
                      NOTE 2 -GENERAL INFORMATION FOR REROUTING/
                      REBOOKING TO TICKETED FLIGHTS FOR THIS FARE
                      ARE AS BELOW-
                      1- REISSUE EQUALS TO REROUTING.
                      2- REVALIDATION EQUALS TO REBOOKING.
                      3- CHANGE OF AIRPORT WITHIN ONE CITY DOES
                      NOT CONSTITUTE AS REROUTING.
                      4- CHANGE MUST BE MADE WITHIN VALIDITY OF
                      TICKET.
                      5- THE CHANGE FEE- IF APPLICABLE- APPLIES
                      PER TRANSACTION PER PERSON.
                      6- INFANT WITHOUT SEAT - NO CHANGE FEE
                      7- CHILD/INFANT WITH SEAT -   DISCOUNT DOES
                      NOT APPLY TO THE CHANGE FEE
                      8-WHEN THE NEW ITINERARY RESULTS IN A HIGHER
                      FARE -
                      COLLECT FARE DIFFERENCE -AND-COLLECT CHANGE
                      FEE- IF APPLICABLE
                      NOTE - MCO/MPD/EMD SHALL BE ISSUED FOR
                      THE DIFFERENCE IN FARES AND TFCS.
                      9- WHEN THE NEW ITINERARY RESULTS IN A LOWER
                      FARE -
                      REFUND FARE DIFFERENCE -AND-COLLECT CHANGE
                      FEE-IF APPLICABLE
                      NOTE - MCO/MPD/EMD SHALL BE ISSUED FOR
                      THE DIFFERENCE IN FARES AND TFCS.
                      10- IF CHANGE TO THE 1ST FLIGHT COUPON-
                      TOTALLY UNUSED  PASSENGER TICKET
                      WHEN REISSUING TICKETS AND PASSENGER NOT
                      QUALIFY FOR  PERVIOUS/ORIGINAL TICKET FARES
                      - REPRICE THE ENTIRE NEW ITINERAY USING TG
                      CURRENT FARES / RULES IN EFFECT ON DATE
                      OF NEW TICKET ISSUANCE NEW TICKET MAY BE
                      EQUAL /HIGHER OR LOWER  VALUE THAN
                      ORIGINAL TICKET  AND COUNTING ADVANCE
                      PURCHASE DATE - IF REQUIRED- FROM TKT
                      REISSUE DATE
                      NOTE - MCO/MPD/EMD SHALL BE ISSUED
                      FOR THE DIFFERENCE IN FARES AND TFCS
                      11- IF NO CHANGE TO THE 1ST FLIGHT COUPON-
                      PARTIALLY USED PASSENGER TICKET
                      - REPRICE BY USING THE HISTORICAL NORMAL
                      FARE ORIGINAL FARES  BASED ON THE FIRST
                      DATE OF COMMENCING OF TRAVEL NEW TICKET
                      MAY BE EQUAL/HIGHER OR  LOWER VALUE
                      THAN PREVIOUS TICKET.
                      NOTE - MCO/MPD/EMD SHALL BE ISSUED
                      FOR THE DIFFERENCE IN FARES AND TFCS
                      12-UNITED STATES EXCEPTION FOR JOURNEYS
                      TO/FROM OR TICKET ORIGINALLY SOLD IN OR
                      REISSUED IN THE USA/US TERRITORIES
                      -REPRICE THE FARES FROM THE POINT OF
                      ORIGIN IN EFFECT ON THE DATE OF ORIGINAL
                      TICKET ISSUE.NEW TICKET MAY BE EQUAL/
                      HIGHER OR LOWER VALUE THAN PREVIOUS
                      TICKET
                      NOTE - MCO/MPD/EMD SHALL BE ISSUED
                      FOR THE DIFFERENCE IN FARES AND TFCS
                      13- WHEN THIS FARE IS COMBINED WITH ANOTHER
                      FARE -
                      A-CHARGE THE HIGHEST CHANGE FEE OF ALL
                      FARE COMPONENTS WITHIN ALL CHANGED
                      PRICING UNITS.
                      B-IF THE TICKETED FARE ON ANY CHANGED
                      FLIGHT COUPON DOES NOT ALLOW REFUND
                      THEN THE FARE DIFFERENCE IS NOT REFUNDED.
                      NOTE 3 - THE LOCAL ADMINISTRATION/SERVICE/
                      HANDLING FEE MAY APPLY IN ADDITION TO
                      ABOVE NOTES.<br/><br/><h3>17 HIP/MILEAGE EXCEPTIONS</h3>NO HIP OR MILEAGE EXCEPTIONS APPLY.<br/><br/><h3>18 TICKET ENDORSEMENTS</h3>THE PROVISIONS BELOW APPLY ONLY AS FOLLOWS -
                      TICKETS MAY BE ISSUED BY ELECTRONIC TICKETING.
                      EXTENSION OF TICKET VALIDITY IS NOT PERMITTED.
                      WHEN TICKETS ARE SOLD IN THAILAND.
                      THE ORIGINAL AND THE REISSUED TICKET MUST BE
                      ANNOTATED - REFUND/CNCL FEE THB2500/ - AND - REFUND
                      WITHIN 90DAYS AFTER - AND - TICKET EXPIRY - IN THE
                      ENDORSEMENT BOX.
                      THE PROVISIONS BELOW APPLY ONLY AS FOLLOWS -
                      TICKETS MAY BE ISSUED BY ELECTRONIC TICKETING.
                      EXTENSION OF TICKET VALIDITY IS NOT PERMITTED.
                      TICKETS MAY NOT BE SOLD IN THAILAND.
                      THE ORIGINAL AND THE REISSUED TICKET MUST BE
                      ANNOTATED - REFUND/CNCL FEE USD100/ - AND -
                      EQUIVALENT/REFUND WITHIN - AND - 90DAYS AFTER TICKET
                      EXPIRY - IN THE ENDORSEMENT BOX.<br/><br/><h3>19 CHILDREN DISCOUNTS</h3>CNN/ACCOMPANIED CHILD PSGR 2-11 - CHARGE 75 PERCENT OF
                      THE FARE.
                      TICKETING CODE - BASE FARE CODE PLUS CH.
                      MUST BE ACCOMPANIED ON ALL FLIGHTS IN THE SAME
                      COMPARTMENT BY ADULT PSGR 12 OR OLDER.
                      OR - INF/INFANT WITHOUT A SEAT PSGR UNDER 2 - CHARGE 10
                      PERCENT OF THE FARE.
                      TICKETING CODE - BASE FARE CODE PLUS IN.
                      MUST BE ACCOMPANIED ON ALL FLIGHTS IN THE SAME
                      COMPARTMENT BY ADULT PSGR 12 OR OLDER.
                      OR - INS/INFANT WITH A SEAT PSGR UNDER 2 - CHARGE 75
                      PERCENT OF THE FARE.
                      TICKETING CODE - BASE FARE CODE PLUS CH.
                      MUST BE ACCOMPANIED ON ALL FLIGHTS IN THE SAME
                      COMPARTMENT BY ADULT PSGR 12 OR OLDER.
                      OR - UNN/UNACCOMPANIED CHILD PSGR 5-11 - CHARGE 100
                      PERCENT OF THE FARE.
                      MUST BE ACCOMPANIED ON ALL FLIGHTS IN THE SAME
                      COMPARTMENT BY ADULT PSGR 12 OR OLDER.
                      NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      UNACCOMPANIED CHILD UNDER 5 YEARS OF AGE WILL NOT
                      BE ACCEPTED FOR CARRIAGE.<br/><br/><h3>20 TOUR CONDUCTOR DISCOUNTS</h3>NO DISCOUNTS FOR TOUR CONDUCTORS.<br/><br/><h3>21 AGENT DISCOUNTS</h3>NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      DISCOUNTS APPLY<br/><br/><h3>22 ALL OTHER DISCOUNTS</h3>NO DISCOUNTS FOR OTHERS.<br/><br/><h3>23 MISCELLANEOUS PROVISIONS</h3>NO PROVISIONS APPLY.<br/><br/><h3>25 FARE BY RULE</h3>NOT APPLICABLE.<br/><br/><h3>26 GROUPS</h3>NO GROUP PROVISIONS APPLY.<br/><br/><h3>27 TOURS</h3>NO TOUR PROVISIONS APPLY.<br/><br/><h3>28 VISIT ANOTHER COUNTRY</h3>NO VISIT ANOTHER COUNTRY PROVISIONS APPLY.<br/><br/><h3>29 DEPOSITS</h3>NOTE - TEXT BELOW NOT VALIDATED FOR AUTOPRICING.
                      NOT APPLICABLE.<br/><br/><h3>31 VOLUNTARY CHANGES</h3>ENTER RD*31 OR RDLINE NUM*31 FOR VOLUNTARY CHGS.<br/><br/><h3>33 VOLUNTARY REFUNDS</h3>NO VOLUNTARY REFUNDS DATA FOUND.<br/><br/><h3>35 NEGOTIATED FARES</h3>NOT APPLICABLE.<br/><br/><h3>IC INTERNATIONAL CONSTRUCTION</h3>NOT A CONSTRUCTED FARE<br/><br/>
                  </div>
                  <div className="row">
                  <blockquote>
                      <p style={{marginBottom :'10px'}}><strong>Booking Process</strong><br/>Make sure you are already understand terms and conditions before continue the booking process.</p>
                      <p><strong>Important Note</strong></p>
                      <ol style={{listStyleType : 'decimal',marginLeft:'15px'}}>
                        <li>Passenger data must be same as data in domestic ID or international password</li>
                        <li>Any kind of data mistake is not our responsibility</li>
                      </ol>
                  </blockquote>
                  </div>  
                  <div className="row" style={{textAlign:"right"}}>
                      <RaisedButton label="Book Now" icon={ <FontIcon className="material-icons">check</FontIcon>} onClick={this.handleOpenModal} primary={true}/>
                      <Dialog
                        title="Are you sure that all data is correct?"
                        actions={actionsModals}
                        modal={true}
                        open={this.state.openModal}
                      >
                        Booking request will be send and data can't be change again.
                      </Dialog>
                  </div>     
                </div>
              </Card>
              </div>
            </div>
  </div>
    )
  }
}
